*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --header: 5rem;
  --clr-main-hex: #fc6b01;
  --clr-main-rgb: 252 107 1;
  --clr-black-hex: #000;
  --clr-black-rgb: 0 0 0;
  --clr-dark-hex: #011230;
  --clr-dark-rgb: 1 18 48;
  --clr-light-hex: #fdfdfd;
  --clr-light-rgb: 253 253 253;
  --background: rgb(var(--clr-light-rgb));
  --shadow-rgb: var(--clr-black-rgb);
  --text: rgb(var(--clr-dark-rgb));
  --bs-body-color: var(--text);
  --bs-body-bg: var(--background);
}

.btn:focus {
  text-shadow: none;
}
.btn.btn-outline-primary {
  --bs-btn-color: var(--clr-light-hex);
  --bs-btn-border-color: var(--clr-main-hex);
  --bs-btn-hover-color: var(--clr-light-hex);
  --bs-btn-hover-bg: var(--clr-main-hex);
  --bs-btn-hover-border-color: var(--clr-main-hex);
  --bs-btn-active-color: var(--clr-light-hex);
  --bs-btn-active-bg: var(--clr-main-hex);
  --bs-btn-active-border-color: var(--clr-main-hex);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(var(--shadow-rgb)/0.125);
  --bs-btn-focus-shadow-rgb: rgb(var(--clr-main-rgb));
  --bs-btn-disabled-color: var(--clr-main-hex);
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: var(--clr-main-hex);
}
.btn.btn-primary {
  --bs-btn-color: var(--clr-light-hex);
  --bs-btn-bg: var(--clr-main-hex);
  --bs-btn-border-color: var(--clr-main-hex);
  --bs-btn-hover-color: var(--clr-light-hex);
  --bs-btn-hover-bg: var(--clr-main-hex);
  --bs-btn-hover-border-color: var(--clr-main-hex);
  --bs-btn-focus-shadow-rgb: var(--shadow-rgb)
    --bs-btn-active-color: var(--clr-light-hex);
  --bs-btn-active-bg: var(--clr-main-hex);
  --bs-btn-active-border-color: var(--clr-main-hex);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(var(--shadow-rgb)/0.125);
  --bs-btn-disabled-color: var(--clr-light-hex);
  --bs-btn-disabled-bg: var(--clr-main-hex);
  --bs-btn-disabled-border-color: var(--clr-main-hex);
}
.btn {
  --bs-btn-padding-y: 0.75rem;
  --bs-btn-padding-x: 1.5rem;
  --bs-btn-font-size: 1.1rem;
  --bs-btn-border-radius: var(--bs-border-radius-lg);
}
/*
 * Base structure
 */
html {
  scroll-behavior: smooth;
}
body {
  font-family: "Trebuchet MS", sans-serif;
  font-size: 16px;
  line-height: 1.2;
  font-weight: 400;
  font-style: normal;
  text-shadow: 0 0.05rem 0.1rem rgb(var(--shadow-rgb) / 0.15);
  background-color: var(--background);
  color: var(--text);
  overflow-x: hidden;
  transition: all 0.1s;
	max-width: 100vw;
}
.fonts-loaded body {
  font-family: "Roboto", "Trebuchet MS", sans-serif;
}
.page-loader {
  display: none;
}
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1.2;
  font-weight: 500;
}
main {
  position: relative;
  margin-top: var(--header);
}
noscript .alert {
  position: fixed;
  top: var(--header);
  width: 100%;
  margin: 0;
  padding: 0.25rem 1rem;
  font-size: 0.75rem;
  line-height: 1;
  border-radius: unset;
  z-index: 1;
}
a {
  text-decoration: unset;
  color: currentColor;
  transition: all 0.4s;
}
a:hover,
a:focus {
  color: rgb(var(--clr-main-rgb));
  filter: drop-shadow(0 0 1px rgb(var(--clr-main-rgb) / 0.1));
}
.icon {
  color: rgb(var(--clr-main-rgb));
  width: 1.5rem;
  height: 1.5rem;
  fill: none;
  stroke: rgb(var(--clr-main-rgb));
  stroke-linecap: round;
  stroke-linejoin: round;
  overflow: visible;
  filter: drop-shadow(0 0 1px rgb(var(--clr-main-rgb) / 0.5));
}
.icon-service {
  width: 5rem;
  height: 5rem;
  margin: auto;
  stroke-width: 0.5;
}
.icon-about {
  width: 4rem;
  height: 4rem;
  margin: 0.75rem auto;
  stroke-width: 0.75;
}

@media (max-width: 415px) or ((min-width: 992px) and (max-width: 1200px)) {
  .icon-about {
    width: 3rem;
    height: 3rem;
    margin: 0.25rem auto;
  }
}
.list-unstyled,
.list-unstyled > li {
  display: flex;
  gap: 0.5rem;
}
.list-unstyled {
  flex-direction: column;
}
.list-unstyled > li {
  align-items: center;
}
.show {
  display: block !important;
}
.hide {
  display: none !important;
}
.fadeIn {
  animation: fadeIn ease 0.8s;
  opacity: 1;
}
@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}
.fadeOut {
  animation: fadeOut ease 0.8s;
  opacity: 0;
}
@keyframes fadeOut {
  0% {
    opacity: 1;
    transform: translateY(0%);
  }
  100% {
    opacity: 0;
    transform: translateY(-100%);
  }
}
.h-ctr-line {
  position: relative;
  text-align: center;
  margin-bottom: 1rem;
}
.h-ctr-line::after {
  content: "";
  position: absolute;
  width: 4rem;
  bottom: -0.5rem;
  right: calc(50% - 2rem);
  left: calc(50% - 2rem);
  border: 1px solid rgb(var(--clr-main-rgb));
}
.logo {
  object-fit: cover;
  width: 150px;
  height: 110px;
  aspect-ratio: 15 / 11;
  filter: drop-shadow(0 0 1px rgb(var(--clr-dark-rgb) / 0.9));
}
.modal-open {
  overflow: hidden;
}
/*
 * Header
 */
header {
  position: fixed;
  right: 0;
  left: 0;
  top: 0;
  display: flex;
  justify-content: space-between;
  height: var(--header);
  background-color: rgb(var(--clr-light-rgb));
  z-index: 5;
}
header::after {
  content: "";
  position: absolute;
  top: 0;
  right: calc(50% - 50vw);
  width: 100vw;
  height: var(--header);
  background-color: rgb(var(--clr-light-rgb));
  box-shadow: 0 0 6px -2px rgb(var(--shadow-rgb));
  z-index: -1;
}
header .logo {
  position: absolute;
  top: 0;
  transition:
    width 0.8s,
    height 0.8s;
}
.logo.scroll {
  height: 5rem;
  width: 7rem;
}
@media (max-width: 992px) {
  header .logo {
    height: 5rem;
    width: 7rem;
  }
}
.nav-masthead .nav-link {
  color: rgb(var(--clr-dark-rgb));
  border-bottom: 0.125rem solid transparent;
  font-weight: 500;
  padding: 0.25rem 0;
}
.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
  color: rgb(var(--clr-main-rgb));
  border-bottom-color: rgb(var(--clr-main-rgb) / 0.25);
}
.nav-masthead .nav-link + .nav-link {
  margin-left: 1rem;
}
.nav-masthead .active {
  color: rgb(var(--clr-main-rgb));
  border-bottom-color: rgb(var(--clr-main-rgb));
}
#menu {
  position: absolute;
}
@media (min-width: 768px) {
  #menu {
    visibility: hidden;
    display: none;
    z-index: -10;
  }
}
@media (max-width: 767px) {
  .btn-menu {
    top: 0.5rem;
    right: 0;
    width: 4rem;
    height: 4rem;
    z-index: 1;
    background-color: rgb(var(--background));
    color: rgb(var(--text));
    border: 1px solid rgb(var(--clr-main-rgb));
    aspect-ratio: 1;
    border-radius: 0.375rem;
    transition: all 0.4s;
  }
  .btn-menu > .icon {
    display: none;
    width: 3rem;
    height: 3rem;
    stroke-width: 2px;
    transition: all 0.4s;
    opacity: 0;
  }
  .btn-menu:hover,
  .btn-menu:focus {
    background-color: rgb(var(--clr-main-rgb));
    filter: drop-shadow(0 0 1px rgb(var(--clr-main-rgb) / 0.1));
  }
  .btn-menu:hover > .icon,
  .btn-menu:focus > .icon {
    stroke: var(--clr-light-hex);
  }
  .btn-menu[data-menu="open"] > .icon:nth-of-type(1),
  .btn-menu[data-menu="close"] > .icon:nth-of-type(2) {
    display: block;
    opacity: 1;
  }
  header > .row {
    position: relative;
  }
  .nav-menu {
    display: block;
    position: absolute;
    top: 5rem;
    width: auto;
    right: 0;
    overflow: hidden;
    background-color: var(--background);
    font-size: 1.3rem;
    font-weight: 400;
    text-align: center;
    z-index: -1;
    box-shadow: 0 0 6px -2px rgb(var(--shadow-rgb));
    padding: 0;
    height: 0;
  }
  .nav-menu[data-menu="open"] {
    height: auto;
    padding: 1rem;
    animation: fadeDown ease 0.5s;
  }
  @keyframes fadeDown {
    0% {
      transform: translateY(-100%);
    }
    100% {
      transform: translateY(0%);
    }
  }
  /*.btn-menu[data-click="true"] ~ .nav-menu[data-menu="close"] {
    height: 0;
    padding: 0;
    animation: fadeUp ease 0.5s;
  }
  @keyframes fadeUp {
    0% {
      padding: 1rem;
      height: auto;
      transform: translateY(0%);
    }
    100% {
      padding: 0 1rem;
      height: 0;
      transform: translateY(-120%);
    }
  }*/
  header:has([data-menu="open"]) ~ main,
  header:has([data-menu="open"]) ~ footer,
  header:has([data-menu="open"]) ~ button {
    filter: grayscale(1) blur(1px);
    z-index: -1;
    transition: all 0.4s;
    pointer-events: none;
  }
  header:has([data-menu="close"]:has([data-click="true"])) ~ main,
  header:has([data-menu="close"]:has([data-click="true"])) ~ footer,
  header:has([data-menu="close"]:has([data-click="true"])) ~ button {
    animation: fadeFilterDown ease 0.5s;
  }

  @keyframes fadeFilterDown {
    0% {
      filter: grayscale(1) blur(1px);
    }
    100% {
      filter: grayscale(0) blur(0px);
    }
  }

  .nav-menu .nav-link {
    margin: 0 0.5rem;
    padding: 0.5rem 1.5rem;
    font-weight: 500;
  }
  .nav-masthead .nav-link + .nav-link {
    margin-left: 0;
    margin-right: 0;
  }
}

/* Intro */
#intro {
  --p-top: 3rem;
  --p-bottom: 2rem;
}
.background-full {
  height: 100%;
  width: 100%;
  padding: var(--p-top) 0 var(--p-bottom);
  color: rgb(var(--clr-light-rgb));
  background-color: rgb(var(--clr-dark-rgb));
}
.background-container {
  position: relative;
  z-index: 1;
}
.background-col {
  position: absolute;
  top: calc(-1 * var(--p-top));
  right: 0;
  height: calc(100% + calc(var(--p-top) + var(--p-top)));
  z-index: -1;
}
.background-col::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  /*box-shadow: inset 0 0 5rem rgb(var(--clr-dark-rgb)/.75);*/
  z-index: 1;
}
#contact .background-col {
  left: calc(50% - 50vw);
  right: calc(50% - 50vw);
  display: flex;
  justify-content: center;
	overflow: hidden;
	width: 100vw;
}
#contact .background-col::after {
  right: calc(50% - 50vw);
  width: 100vw;
	overflow: hidden;
}
@media (min-width: 768px) and (max-width: 991px) {
  .background-col::after {
    background: linear-gradient(
      90deg,
      rgb(var(--clr-dark-rgb)) 10%,
      transparent 100%
    );
  }
}
@media (max-width: 767px) {
  .background-col::after {
    background: linear-gradient(
      90deg,
      rgb(var(--clr-dark-rgb)) 40%,
      transparent 100%
    );
  }
	#contact .col-sm-7 {
		padding-bottom: 2rem;
	}
}
.background-col .background-img {
  height: 100%;
  width: auto;
	max-width: 100vw;
	object-fit: cover;
}
/* Service */
#service .col {
  padding: 0.75rem;
}
.card {
  padding: 1.25rem 0.75rem 0.75rem;
  height: 100%;
}
.card-body {
  padding: 0.75rem 1rem 0.25rem;
}
.card-title {
  text-align: center;
  display: block;
  max-width: min-content;
  margin: 0 auto;
}
.card-text {
  padding: 1rem 0 2rem 1rem;
}
.card-text > li {
  margin: 0.5rem 0;
}
.card-text > li::marker {
  color: rgb(var(--clr-main-rgb));
}
.card-link {
  position: absolute;
  bottom: 1rem;
  right: 1rem;
  display: flex;
  align-items: center;
  line-height: 1;
}
/* About */
.about-box {
  position: relative;
  display: flex;
  padding: 0.75rem;
  flex-direction: column;
  align-items: center;
  height: 100%;
  aspect-ratio: 1;
}
#about .col:not(:nth-last-child(1)) .about-box::after {
  content: "";
  position: absolute;
  top: 1.5rem;
  right: -0.75rem;
  border-right: 1px solid rgb(var(--shadow-rgb) / 0.175);
  height: calc(100% - 3rem);
}
.box-head {
  text-align: center;
  font-size: clamp(1rem, calc(0.75rem + 0.021vw), 1.15rem);
}
@media (min-width: 1201px) and (max-width: 1400px) {
  .about-box {
    padding: 0.75rem 0;
  }
}
@media (min-width: 992px) and (max-width: 1200px) {
  #about col {
    padding: 0;
  }
  .about-box {
    padding: 0;
  }
  .box-head {
    font-size: 0.95rem;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  #about .col:nth-child(3n) .about-box::after {
    border-right: unset;
  }
}
@media (max-width: 767px) {
  #about .col:nth-child(2n) .about-box::after {
    border-right: unset;
  }
}
/* Partner &  Trust */
.col:has(.box) {
  padding: 0.75rem;
}
.box {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-width: 0;
  word-wrap: break-word;
  background-color: var(--background);
  border: 1px solid rgb(var(--shadow-rgb) / 0.175);
  border-radius: 0.375rem;
  height: 100%;
  justify-content: center;
  padding: 0.5rem 0.75rem;
  aspect-ratio: 19 / 9;
}
.box .img-fluid {
  margin: auto;
}
.partner-head {
  margin: 0;
}
.img-placeholder {
  position: absolute;
  width: 100%;
  background: white;
  opacity: 1;
}
.box:has(.img-placeholder) {
  -webkit-mask-image: linear-gradient(
    130deg,
    #000 55%,
    rgba(0, 0, 0.8) 75%,
    #000 95%
  );
  mask-image: linear-gradient(
    130deg,
    #000 55%,
    rgba(0, 0, 0, 0.8) 75%,
    #000 95%
  );
  -webkit-mask-size: 200% 100%;
  mask-size: 200% 100%;
  animation: placeholder-wave 2s linear infinite;
}
@keyframes placeholder-wave {
  100% {
    -webkit-mask-position: -200% 0%;
    mask-position: -200% 0%;
  }
}
/* #contact */
#contact {
  --p-top: 2rem;
  --p-bottom: 2rem;
}
@media (max-width: 992px) {
  .col-lg-bg {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
  }
}
.form-control {
  background-color: transparent;
  backdrop-filter: blur(10px) saturate(180%);
  -webkit-backdrop-filter: blur(10px) saturate(180%);
  border: 1px solid rgb(255 255 255/0.25);
  border-radius: 0.375rem;
  box-shadow: 0 8px 32px rgb(0 0 0 0.2);
  padding: 0.2rem 0.75rem;
  color: rgb(var(--clr-light-rgb) / 0.9);
}
.form-control:focus {
  color: rgb(var(--clr-light-rgb) / 0.9);
  background-color: rgb(var(--clr-light-rgb) / 0.05);
  border-color: rgba(255 255 255/ 0.25);
  outline: 0;
  backdrop-filter: blur(10px) saturate(180%);
  box-shadow: inset 0 0 0 1px rgba(var(--clr-main-rgb) / 0.1);
}
[name="checkBox"] {
  display: none;
}
.invalid-feedback {
  position: absolute;
  font-size: 0.75rem;
  line-height: 1;
  bottom: -.85rem;
  right: 0.25rem;
  text-align: end;
  z-index: 1;
}
.form-floating {
  margin: .75rem 0 .5rem;
}
.form-button {
  margin-top: .75rem;
}
.form-floating > .form-control {
  min-height: calc(2.75rem + calc(var(--bs-border-width) * 2));
  height: 2.75rem;
}
.form-floating > textarea.form-control {
  height: 5rem;
}
.form-floating > label {
  padding: 0.75rem;
  color: rgb(var(--clr-light-rgb) / 0.8);
}
.form-floating > .form-control:focus ~ label,
.form-floating > .form-control:not(:placeholder-shown) ~ label {
  transform: scale(0.85) translateY(-0.6rem) translateX(0.75rem);
  color: rgb(var(--clr-light-rgb));
  padding: 0;
  height: 1rem;
  line-height: 1;
  background: rgb(var(--clr-dark-rgb));
}
.form-floating > textarea:focus ~ label::after,
.form-floating > textarea:not(:placeholder-shown) ~ label::after {
  background-color: transparent;
}
input:-webkit-autofill,
input:-webkit-autofill:focus {
  transition:
    background-color 600000s 0s,
    color 600000s 0s;
}
input[data-autocompleted] {
  background-color: transparent !important;
}
.form-floating > .form-control:focus,
.form-floating > .form-control:not(:placeholder-shown) {
  padding-top: 0.625rem;
  padding-bottom: 0.625rem;
}
.was-validated .form-control:invalid,
.was-validated textarea.form-control:invalid, 
.form-control.is-invalid,
textarea.form-control.is-invalid {
  background-position: bottom .25rem right .25rem;
}
/* Footer */
footer {
  height: 5rem;
}
footer .logo {
  height: 5rem;
  width: auto;
}
.copyright {
  text-align: center;
}
.policy {
  text-align: right;
}
.modal{
	bottom: 0;
	right: 0;
	max-width: 100vw;
	max-height: 100vh;
}
.open-model {
  background: transparent;
  border: unset;
  color: var(--text);
  transition: all 0.4s;
}
.open-model:hover,
.open-model:focus {
  color: rgb(var(--clr-main-rgb));
  filter: drop-shadow(0 0 1px rgb(var(--clr-main-rgb) / 0.1));
}
#go-top {
  position: fixed;
  bottom: 1rem;
  right: 2rem;
  width: 2.5rem;
  height: 2.5rem;
  border: 1px solid rgb(var(--clr-main-rgb));
  border-radius: 0.375rem;
  background-color: rgb(255 255 255/.8);
  transition: opacity 0.8s;
  opacity: 0;
  z-index: -1;
  transition: all 0.4s;
}
#go-top:hover,
#go-top:focus {
  background-color: rgb(var(--clr-main-rgb));
}
#go-top:hover .icon,
#go-top:focus .icon {
  stroke: rgb(var(--clr-light-rgb));
}
#go-top.scroll {
  z-index: 5;
  opacity: 1;
  animation: fadeIn ease 0.8s;
}
@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}
